curl --request GET \
--url https://community.dashsocial.com/tiktok_comments/{community_interaction_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://community.dashsocial.com/tiktok_comments/{community_interaction_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://community.dashsocial.com/tiktok_comments/{community_interaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"is_hidden": true,
"is_liked": true,
"is_owned": true,
"text": "<string>",
"tiktok_parent_comment_id": "<string>",
"assignee_id": 123,
"author_profile_picture_url": "<string>",
"author_username": null,
"brand_id": 123,
"brand_user_reply": {
"brand_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"resource_id": 123,
"resource_type": "FACEBOOK_COMMENT",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": 123
},
"comment_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"is_archived": true,
"is_author_blocked": true,
"is_follow_up": true,
"is_read": true,
"media_comment_sentiment": {
"negative_percentage": 123,
"neutral_percentage": 123,
"positive_percentage": 123
},
"media_id": 123,
"media_type": "CAROUSEL_ALBUM",
"post_media": {
"comment_count": 123,
"image_sizes": {
"default": "<string>"
},
"media_comment_sentiment": {
"negative_count": 123,
"neutral_count": 123,
"positive_count": 123
},
"media_type": "<string>",
"source_created_at": "2023-11-07T05:31:56Z",
"caption": "<string>",
"likes": 123,
"user_avatar": "<string>",
"user_handle": "<string>"
},
"post_thumbnail_url": "<string>",
"replies": [
{
"is_hidden": true,
"is_liked": true,
"is_owned": true,
"text": "<string>",
"tiktok_parent_comment_id": "<string>",
"assignee_id": 123,
"author_profile_picture_url": "<string>",
"author_username": null,
"brand_id": 123,
"brand_user_reply": {
"brand_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"resource_id": 123,
"resource_type": "FACEBOOK_COMMENT",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": 123
},
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"is_archived": true,
"is_author_blocked": true,
"is_follow_up": true,
"is_read": true,
"media_id": 123,
"media_type": "CAROUSEL_ALBUM",
"post_media": {
"comment_count": 123,
"image_sizes": {
"default": "<string>"
},
"media_comment_sentiment": {
"negative_count": 123,
"neutral_count": 123,
"positive_count": 123
},
"media_type": "<string>",
"source_created_at": "2023-11-07T05:31:56Z",
"caption": "<string>",
"likes": 123,
"user_avatar": "<string>",
"user_handle": "<string>"
},
"post_thumbnail_url": "<string>",
"search_result_snippet": "<string>",
"sentiment": {
"is_negative": true,
"is_neutral": true,
"is_positive": true,
"is_question": true
},
"source_updated_at": "2023-11-07T05:31:56Z",
"tag_ids": [
123
],
"tickets": [
{
"label": "<string>",
"source_created_at": "<string>",
"source_id": "<string>",
"source_updated_at": "<string>",
"status": "<string>",
"message_id": 123,
"source": "SALESFORCE"
}
],
"tiktok_comment_id": "<string>",
"tiktok_username": "<string>",
"tiktok_video_created_at": "2023-11-07T05:31:56Z",
"type": "COMMUNITY_INTERACTION",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"search_result_snippet": "<string>",
"sentiment": {
"is_negative": true,
"is_neutral": true,
"is_positive": true,
"is_question": true
},
"source_updated_at": "2023-11-07T05:31:56Z",
"tag_ids": [
123
],
"tickets": [
{
"label": "<string>",
"source_created_at": "<string>",
"source_id": "<string>",
"source_updated_at": "<string>",
"status": "<string>",
"message_id": 123,
"source": "SALESFORCE"
}
],
"tiktok_comment_id": "<string>",
"tiktok_username": "<string>",
"tiktok_video_created_at": "2023-11-07T05:31:56Z",
"type": "COMMUNITY_INTERACTION",
"updated_at": "2023-11-07T05:31:56Z",
"video_pinned_comment_id": 123
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}Get a comment
Get a tiktok comment with replies
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the comment
x >= 0Response
OK
If the comment is hidden.
If the comment is liked.
If the brand posted this comment.
The comment body.
The parent comment ID provided by TikTok.
The ID of the user to whom the interaction is assigned.
The url of the author's profile picture.
The handle of the author.
The community interaction's brand ID.
Brand user that created the reply.
Show child attributes
Show child attributes
The total number of root-level comments on the TikTok post.
When the community interaction was created.
The community interaction's ID.
Whether the community interaction is marked as archived.
Whether the user is blocked.
Whether the community interaction is marked as follow-up.
Whether the community interaction is marked as read.
The overall sentiment of the post's comments.
Show child attributes
Show child attributes
The ID of the media the comment was made on.
The media type of the post.
CAROUSEL_ALBUM, IMAGE, REELS, SHORTS, VIDEO Info about the media the comment was made on.
Show child attributes
Show child attributes
The image thumbnail url of the original post.
A list of replies to the this comment.
Show child attributes
Show child attributes
Indicates how many messages match the query.
The comment sentiment.
Show child attributes
Show child attributes
When the comment was created.
List of tag IDs associated with the community interaction.
The tickets created for this community interaction.
Show child attributes
Show child attributes
The comment ID provided by TikTok.
The username of the comment author.
The post creation timestamp provided by TikTok.
The community interaction type.
COMMUNITY_INTERACTION, FACEBOOK_COMMENT, FACEBOOK_CONVERSATION, INSTAGRAM_COMMENT, INSTAGRAM_CONVERSATION, TIKTOK_COMMENT, TWITTER_CONVERSATION, TWITTER_MENTION, TWITTER_QUOTE, TWITTER_RETWEET, YOUTUBE_COMMENT When the community interaction was last updated.
The ID of the pinned comment for the TikTok post associated with the given TikTok comment.